Knowledge bases
Poll after uploading until each document's state is complete (or error).
Required permission: knowledge:read
BearerAuthorizationBearer <token>Tenant API key (evk_…), created in Studio → Vault → API keys.
tenantId*stringTenant id, or current for the key's own tenant. Must be the key's tenant or one of its sub-tenants.
kbId*stringKnowledge base id.
Document ids to check.
Documents to check.
ids*array<string>Document ids (as returned by the upload).
Status per document id.
[key: string]?Processing status of an uploaded document.
curl -X POST 'https://api.envocal.ai/v1/tenants/string/knowledge-bases/string/documents/status' \ -H 'Content-Type: application/json' \ -d '{ "ids": [ "string" ]}'{ "property1": { "state": "processing", "progress": 0.1, "fileSizeBytes": 0, "uploadedUtc": "string", "fileName": "string", "errorMessage": "string" }, "property2": { "state": "processing", "progress": 0.1, "fileSizeBytes": 0, "uploadedUtc": "string", "fileName": "string", "errorMessage": "string" }}curl -X POST 'https://api.envocal.ai/v1/tenants/string/knowledge-bases/string/documents/status' \
-H 'Content-Type: application/json' \
-d '{
"ids": [
"string"
]
}'{
"property1": {
"state": "processing",
"progress": 0.1,
"fileSizeBytes": 0,
"uploadedUtc": "string",
"fileName": "string",
"errorMessage": "string"
},
"property2": {
"state": "processing",
"progress": 0.1,
"fileSizeBytes": 0,
"uploadedUtc": "string",
"fileName": "string",
"errorMessage": "string"
}
}